# Uses of Class
org.apache.qpid.proton.amqp.Decimal128

Packages that use Decimal128
Package
Description
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of Decimal128 in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return Decimal128
Modifier and Type
Method
Description
`Decimal128`
Data.`getDecimal128()`
`Decimal128`
Decoder.`readDecimal128()`
`Decimal128`
Decoder.`readDecimal128(Decimal128 defaultValue)`
`Decimal128`
DecoderImpl.`readDecimal128()`
`Decimal128`
DecoderImpl.`readDecimal128(Decimal128 defaultValue)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type Decimal128
Modifier and Type
Method
Description
`Class<Decimal128>`
Decimal128Type.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type Decimal128
Modifier and Type
Method
Description
`org.apache.qpid.proton.codec.Decimal128Type.Decimal128Encoding`
Decimal128Type.`getEncoding(Decimal128 val)`
`void`
Data.`putDecimal128(Decimal128 d)`
`Decimal128`
Decoder.`readDecimal128(Decimal128 defaultValue)`
`Decimal128`
DecoderImpl.`readDecimal128(Decimal128 defaultValue)`
`void`
Encoder.`writeDecimal128(Decimal128 d)`
`void`
EncoderImpl.`writeDecimal128(Decimal128 d)`

## Uses of Decimal128 in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return Decimal128
Modifier and Type
Method
Description
`Decimal128`
DataImpl.`getDecimal128()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type Decimal128
Modifier and Type
Method
Description
`void`
DataImpl.`putDecimal128(Decimal128 d)`